Subscription & Usage
All operations require authentication.
List servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a serviceProduction
Path parameters
The name of your billingAccount
Response
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "associatedDeviceMac": "00:00:5e:00:53:01", "country": "be", "countryCode": 32, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "featureType": "aiAgent", "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "hasFaxCapabilities": true, "offers": [ "string" ], "properties": [ "xdsl" ], "rio": "string", "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}
Terminate a serviceProduction
Path parameters
The name of your billingAccount
Query parameters
Termination reason details
Termination reason
addresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficultiesResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Update a serviceProduction
Path parameters
The name of your billingAccount
Request body (required)
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Cancel the service terminationProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ cancelTermination \
-H "authorization: Bearer $OVH_TOKEN"Move a service to another billing accountProduction
Path parameters
The name of your billingAccount
Request body (required)
Billing account destination target